User Management (Core)

These endpoints enable the administration of user accounts, including creation, updating, read and deletion of user accounts.

List permissions

get

This endpoint returns all available permissions in the FFT platform.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25
startAfterIdstringOptional
keystring · enumOptional

The key of the permission to filter by

Possible values:
groupstring · enumOptional

The group of the permission to filter by

Possible values:
Responses
chevron-right
200

The Permissions

application/json

PermissionsResponse

totalnumberRequired

The total number of (filtered) permissions

get
/api/permissions

List roles

get

Returns all existing roles, including their permissions and context ceilings.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

The requested roles.

application/json

Role

createdstring · date-timeRequired

The date when the role was created.

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

lastModifiedstring · date-timeRequired

The date when the role was last modified.

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

get
/api/roles

Create role

post

Creates a new custom role.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RoleForCreation

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

Responses
post
/api/roles

Return role

get

Returns a role requested by its name.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Responses
chevron-right
200

The requested role.

application/json

Role

createdstring · date-timeRequired

The date when the role was created.

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

lastModifiedstring · date-timeRequired

The date when the role was last modified.

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

get
/api/roles/{name}

Update role

put

Updates an existing role (complete replacement).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Body

RoleForUpdate

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

Responses
chevron-right
200

The updated role, including all the updates made.

application/json

Role

createdstring · date-timeRequired

The date when the role was created.

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

lastModifiedstring · date-timeRequired

The date when the role was last modified.

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

put
/api/roles/{name}

Delete role

delete

Deletes an existing role.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Responses
chevron-right
200

The deleted role.

application/json

Role

createdstring · date-timeRequired

The date when the role was created.

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

lastModifiedstring · date-timeRequired

The date when the role was last modified.

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

delete
/api/roles/{name}

Update role

patch

Updates an existing role (partial update).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
namestringRequired
Body

RoleForPatch

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 100Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

namestringRequired

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

Responses
chevron-right
200

The patched role, including all the updates made.

application/json

Role

createdstring · date-timeRequired

The date when the role was created.

customAttributesobjectOptional

The custom attributes of the role, which can be used to store additional information.

descriptionstring · max: 100Optional

The description of the role, which provides more details about its purpose.

displayNamestring · max: 50Optional

The display name of the role, which is used for user interfaces and may differ from the name (defaults to name if not provided).

lastModifiedstring · date-timeRequired

The date when the role was last modified.

namestring · min: 3 · max: 20Required

The name of the role, which must be unique and is used to identify the role.

versionnumberRequired

The version of the role.

patch
/api/roles/{name}

List roles (search)

post

Search for Role

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RoleSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

RolePaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/roles/search

List users

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25
startAfterIdstringOptional
orderBystringOptional

Order the users by this field

facilityIdstringOptional

Filter the users by this facility

includeAdminUsersbooleanOptional

Include all admins in the result (only applicable if facilityId is set)

Responses
chevron-right
200

The users were successfully returned.

application/json

User

authenticationProviderTypestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
createdstring · date-timeOptional

Creation date of the user

emailstringOptional

The email of the user

Example: [email protected]
facilityLimitationsstring[]Optional

Facilities where at least one role of the user has access to. Not present if the user has at least one role which is unrestricted

firstnamestringRequired

The first name of the user

Example: John
idstringRequired

The id of the user

lastLoginstring · date-timeOptional

The last login timestamp of the user

lastModifiedstring · date-timeOptional

Last modification date of the user

lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
usernamestringRequired

The username of the user

Example: johndoe
versionnumberRequired

Version of the user

Example: 1
get
/api/users

Creates user

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

UserForCreation

emailstringOptional

The email of the user

Example: [email protected]
firstnamestringRequired

The first name of the user

Example: John
lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
passwordstringRequired

The password of the user

Example: elephantMangoDance123
usernamestringRequired

The username of the user

Example: johndoe
Responses
post
/api/users

Return user

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequired
Responses
chevron-right
200

The user.

application/json

User

authenticationProviderTypestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
createdstring · date-timeOptional

Creation date of the user

emailstringOptional

The email of the user

Example: [email protected]
facilityLimitationsstring[]Optional

Facilities where at least one role of the user has access to. Not present if the user has at least one role which is unrestricted

firstnamestringRequired

The first name of the user

Example: John
idstringRequired

The id of the user

lastLoginstring · date-timeOptional

The last login timestamp of the user

lastModifiedstring · date-timeOptional

Last modification date of the user

lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
usernamestringRequired

The username of the user

Example: johndoe
versionnumberRequired

Version of the user

Example: 1
get
/api/users/{userId}

Delete user

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequired
Responses
chevron-right
200

The deleted user.

No content

delete
/api/users/{userId}

No content

Update user

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequired
Body

UserPatchActions

versionnumberRequired

The version of the user to modify

Responses
chevron-right
200

The modified user.

application/json

User

authenticationProviderTypestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
createdstring · date-timeOptional

Creation date of the user

emailstringOptional

The email of the user

Example: [email protected]
facilityLimitationsstring[]Optional

Facilities where at least one role of the user has access to. Not present if the user has at least one role which is unrestricted

firstnamestringRequired

The first name of the user

Example: John
idstringRequired

The id of the user

lastLoginstring · date-timeOptional

The last login timestamp of the user

lastModifiedstring · date-timeOptional

Last modification date of the user

lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
usernamestringRequired

The username of the user

Example: johndoe
versionnumberRequired

Version of the user

Example: 1
patch
/api/users/{userId}

Create facility assignment

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequired
Body

UserAssignedFacilityForCreation

facilityRefstringRequired

The id of the assigned facility

Responses
chevron-right
200

The facilities were successfully assigned to the user.

No content

post
/api/users/{userId}/assignedFacilities

No content

Get user roles

get

Returns the roles of a user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequired
Responses
chevron-right
200

The roles of the user.

No content

get
/api/users/{userId}/permissions

No content

Deprecated

Update me user

patch

This part of the API is deprecated. For details please check the api-release-life-cycle documentationarrow-up-right. Update my own data.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ModifyUserPersonalData

firstnamestringOptional

The new firstname of the user

lastnamestringOptional

The new lastname of the user

localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
Responses
chevron-right
200

Updating my data was successful.

application/json

User

authenticationProviderTypestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
createdstring · date-timeOptional

Creation date of the user

emailstringOptional

The email of the user

Example: [email protected]
facilityLimitationsstring[]Optional

Facilities where at least one role of the user has access to. Not present if the user has at least one role which is unrestricted

firstnamestringRequired

The first name of the user

Example: John
idstringRequired

The id of the user

lastLoginstring · date-timeOptional

The last login timestamp of the user

lastModifiedstring · date-timeOptional

Last modification date of the user

lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
usernamestringRequired

The username of the user

Example: johndoe
versionnumberRequired

Version of the user

Example: 1
patch
/api/users/me

Call user action

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Executes an action to manipulate my user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

User action was successfully executed.

application/json

User

authenticationProviderTypestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
createdstring · date-timeOptional

Creation date of the user

emailstringOptional

The email of the user

Example: [email protected]
facilityLimitationsstring[]Optional

Facilities where at least one role of the user has access to. Not present if the user has at least one role which is unrestricted

firstnamestringRequired

The first name of the user

Example: John
idstringRequired

The id of the user

lastLoginstring · date-timeOptional

The last login timestamp of the user

lastModifiedstring · date-timeOptional

Last modification date of the user

lastnamestringRequired

The last name of the user

Example: Doe
localestring · enumOptional

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation.

ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)

Example: de_DEPossible values:
usernamestringRequired

The username of the user

Example: johndoe
versionnumberRequired

Version of the user

Example: 1
post
/api/users/me/actions

Return effective permissions

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Returns the effective permissions of the user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

The effective permissions of the user.

application/json

EffectivePermissionsResponse

userIdstringRequired

User ID of the current user

get
/api/users/me/effectivepermissions

List users (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for User

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

UserSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

UserPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/users/search

Last updated